echo.
echo ********************************************************
echo                    COMPILA REPROD. DE MUSICA
echo ********************************************************


C:\programas\retro\spectrum\basic\zxbasic\zxbc %MUSICA%\exeMusica.bas --org 49152 --heap-size 1024 --optimize 3 --mmap "%BIN_DIR%\repAy.map" --output "%BIN_DIR%\repAy.bin"


pause

echo.
echo ********************************************************
echo                    CONVIERTE ARCHIVOS DE MUSICA EN BINS
echo ********************************************************


python %TOOLS_PY%\ay2binAuto.py %MUSICA%\melodias\ratapocion.txt %BIN_DIR%\song1.bin
pause

python %TOOLS_PY%\ay2binAuto.py %MUSICA%\melodias\canon.txt %BIN_DIR%\song2.bin

python %TOOLS_PY%\ay2binAuto.py %MUSICA%\melodias\gameOverMf.txt %BIN_DIR%\gameover.bin

python %TOOLS_PY%\ay2binAuto.py %MUSICA%\melodias\cannonBGameMf.txt %BIN_DIR%\cannonBGameMf.bin


python %TOOLS_PY%\creaTxtDelExe.py %BIN_DIR%\repAy.bin

ECHO **** t_creditos

if exist "%BIN_DIR%\t_creditos.bin" del /f /q "%BIN_DIR%\t_creditos.bin"
IF ERRORLEVEL 1 goto compilerError

copy %FONT_DIR%\t_creditos.bin %BIN_DIR%
IF ERRORLEVEL 1 goto compilerError

if exist "%BIN_DIR%\t_creditos.txt" del /f /q "%BIN_DIR%\txts\t_creditos.txt"
IF ERRORLEVEL 1 goto compilerError


echo ***********************************************************
echo                    LOAD FONT
echo ***********************************************************


if exist "%BIN_DIR%\myfont.bin" del /f /q "%BIN_DIR%\myfont.bin"
IF ERRORLEVEL 1 goto compilerError

copy %FONT_DIR%\myfont.bin %BIN_DIR%
IF ERRORLEVEL 1 goto compilerError

if exist "%BIN_DIR%\myfont.txt" del /f /q "%BIN_DIR%\txts\myfont.txt"
IF ERRORLEVEL 1 goto compilerError

copy %FONT_DIR%\myfont.txt %BIN_DIR%\txts
IF ERRORLEVEL 1 goto compilerError

echo ***********************************************************
echo                    LOAD 2 FONT
echo ***********************************************************


if exist "%BIN_DIR%\hemeryFont.bin" del /f /q "%BIN_DIR%\hemeryFont.bin"
IF ERRORLEVEL 1 goto compilerError

copy %FONT_DIR%\hemeryFont.bin %BIN_DIR%
IF ERRORLEVEL 1 goto compilerError

if exist "%BIN_DIR%\hemeryFont.txt" del /f /q "%BIN_DIR%\txts\hemeryFont.txt"
IF ERRORLEVEL 1 goto compilerError

copy %FONT_DIR%\hemeryFont.txt %BIN_DIR%\txts
IF ERRORLEVEL 1 goto compilerError


echo ***********************************************************
echo                    LOAD TEXTOS
echo ***********************************************************

if exist "%BIN_DIR%\t_final_win.bin" del /f /q "%BIN_DIR%\t_final_win.bin"
IF ERRORLEVEL 1 goto compilerError

copy %FONT_DIR%\t_final_win.bin %BIN_DIR%
IF ERRORLEVEL 1 goto compilerError

if exist "%BIN_DIR%\t_final_win.txt" del /f /q "%BIN_DIR%\txts\t_final_win.txt"
IF ERRORLEVEL 1 goto compilerError

copy %FONT_DIR%\t_final_win.txt %BIN_DIR%\txts
IF ERRORLEVEL 1 goto compilerError

echo ****  t_final_loose

if exist "%BIN_DIR%\t_final_loose.bin" del /f /q "%BIN_DIR%\t_final_loose.bin"
IF ERRORLEVEL 1 goto compilerError

copy %FONT_DIR%\t_final_loose.bin %BIN_DIR%
IF ERRORLEVEL 1 goto compilerError

if exist "%BIN_DIR%\t_final_loose.txt" del /f /q "%BIN_DIR%\txts\t_final_loose.txt"
IF ERRORLEVEL 1 goto compilerError

copy %FONT_DIR%\t_final_loose.txt %BIN_DIR%\txts
IF ERRORLEVEL 1 goto compilerError

ECHO **** t_intro_wife

if exist "%BIN_DIR%\t_intro_wife.bin" del /f /q "%BIN_DIR%\t_intro_wife.bin"
IF ERRORLEVEL 1 goto compilerError

copy %FONT_DIR%\t_intro_wife.bin %BIN_DIR%
IF ERRORLEVEL 1 goto compilerError

if exist "%BIN_DIR%\t_intro_wife.txt" del /f /q "%BIN_DIR%\txts\t_intro_wife.txt"
IF ERRORLEVEL 1 goto compilerError

copy %FONT_DIR%\t_intro_wife.txt %BIN_DIR%\txts
IF ERRORLEVEL 1 goto compilerError


ECHO ****t_intro_mc

if exist "%BIN_DIR%\t_intro_mc.bin" del /f /q "%BIN_DIR%\t_intro_mc.bin"
IF ERRORLEVEL 1 goto compilerError

copy %FONT_DIR%\t_intro_mc.bin %BIN_DIR%
IF ERRORLEVEL 1 goto compilerError

if exist "%BIN_DIR%\t_intro_mc.txt" del /f /q "%BIN_DIR%\txts\t_intro_mc.txt"
IF ERRORLEVEL 1 goto compilerError

copy %FONT_DIR%\t_intro_mc.txt %BIN_DIR%\txts
IF ERRORLEVEL 1 goto compilerError


ECHO **** t_mc

if exist "%BIN_DIR%\t_mc.bin" del /f /q "%BIN_DIR%\t_mc.bin"
IF ERRORLEVEL 1 goto compilerError

copy %FONT_DIR%\t_mc.bin %BIN_DIR%
IF ERRORLEVEL 1 goto compilerError

if exist "%BIN_DIR%\t_mc.txt" del /f /q "%BIN_DIR%\txts\t_mc.txt"
IF ERRORLEVEL 1 goto compilerError

copy %FONT_DIR%\t_mc.txt %BIN_DIR%\txts
IF ERRORLEVEL 1 goto compilerError


ECHO **** t_creditos

if exist "%BIN_DIR%\t_creditos.bin" del /f /q "%BIN_DIR%\t_creditos.bin"
IF ERRORLEVEL 1 goto compilerError

copy %FONT_DIR%\t_creditos.bin %BIN_DIR%
IF ERRORLEVEL 1 goto compilerError

if exist "%BIN_DIR%\t_creditos.txt" del /f /q "%BIN_DIR%\txts\t_creditos.txt"
IF ERRORLEVEL 1 goto compilerError

copy %FONT_DIR%\t_creditos.txt %BIN_DIR%\txts
IF ERRORLEVEL 1 goto compilerError

ECHO **** t_menup

if exist "%BIN_DIR%\t_menup.bin" del /f /q "%BIN_DIR%\t_menup.bin"
IF ERRORLEVEL 1 goto compilerError

copy %FONT_DIR%\t_menup.bin %BIN_DIR%
IF ERRORLEVEL 1 goto compilerError

if exist "%BIN_DIR%\t_menup.txt" del /f /q "%BIN_DIR%\txts\t_menup.txt"
IF ERRORLEVEL 1 goto compilerError

copy %FONT_DIR%\t_menup.txt %BIN_DIR%\txts
IF ERRORLEVEL 1 goto compilerError













pause





